> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> Retrieve all Accounts under a Login Identity (using a specific `login_identity_token`).

**Authorization**: `login_identity_token`

### accounts

Full `accounts` array, containing a list of accounts with account-level balances & metadata.

#### account_type (object)

> Beta (subject to change). 
  

Details on the account type/classification.

For each account `type`, the following `subtypes` are available:

- `CARD`: `CREDIT_CARD`, `DEBIT_CARD`, `OTHER`, `UNKNOWN`
    
- `DEPOSIT`: `CURRENT`, `SAVINGS`, `TIME_DEPOSIT`, `OTHER`, `UNKNOWN`
    
- `INVESTMENT`: `BONDS`, `FUNDS`, `RETIREMENT`,`SECURITIES`, `STOCKS`, `OTHER`, `UNKNOWN`
    
- `LOAN`: `MORTGAGE`, `PERSONAL_LOAN`, `REVOLVING_LOAN`, `OTHER`, `UNKNOWN`
    
- `OTHER`: `OTHER`
    
- `UNKNOWN`: `UNKNOWN`
    

Note: `UNKNOWN` refers to cases where the account type/subtype mapping is not available for that Institution or Account.

#### balance (object)

Details of an account's balance or statement_balance.

### institution

Summary Institutions object. See `GET /institutions` for details.

### login_identity

Summary Login Identity object. See `GET /login_identity` for details.

### metadata

> Beta (subject to change). 
  

Metadata object containing additional account information (for some institutions only).



## OpenAPI

````yaml /api-reference/openapi.json get /accounts
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /accounts:
    get:
      tags:
        - accounts
      summary: List accounts
      description: >-
        Retrieve all Accounts under a Login Identity (using a specific
        `login_identity_token`).


        **Authorization**: `login_identity_token`


        ### accounts


        Full `accounts` array, containing a list of accounts with account-level
        balances & metadata.


        #### account_type (object)


        > Beta (subject to change). 
          

        Details on the account type/classification.


        For each account `type`, the following `subtypes` are available:


        - `CARD`: `CREDIT_CARD`, `DEBIT_CARD`, `OTHER`, `UNKNOWN`
            
        - `DEPOSIT`: `CURRENT`, `SAVINGS`, `TIME_DEPOSIT`, `OTHER`, `UNKNOWN`
            
        - `INVESTMENT`: `BONDS`, `FUNDS`, `RETIREMENT`,`SECURITIES`, `STOCKS`,
        `OTHER`, `UNKNOWN`
            
        - `LOAN`: `MORTGAGE`, `PERSONAL_LOAN`, `REVOLVING_LOAN`, `OTHER`,
        `UNKNOWN`
            
        - `OTHER`: `OTHER`
            
        - `UNKNOWN`: `UNKNOWN`
            

        Note: `UNKNOWN` refers to cases where the account type/subtype mapping
        is not available for that Institution or Account.


        #### balance (object)


        Details of an account's balance or statement_balance.


        ### institution


        Summary Institutions object. See `GET /institutions` for details.


        ### login_identity


        Summary Login Identity object. See `GET /login_identity` for details.


        ### metadata


        > Beta (subject to change). 
          

        Metadata object containing additional account information (for some
        institutions only).
      operationId: listAccounts
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountsResponse'
              examples:
                success:
                  summary: Success
                  value:
                    accounts:
                      - account_currency: HKD
                        account_id: 01F7MP3XTNX36K9N66JPKH131P
                        account_name: HKD Checking
                        account_number_masked: 111XXXXXXX-666
                        account_type:
                          subtype: CHECKING
                          type: DEPOSIT
                        balance:
                          currency: HKD
                          raw: '70013.12'
                          value: 70013.12
                        created_at: '2021-06-08T02:09:42.000Z'
                        group_id: >-
                          5578758a56843bbe7104f0915f807eae4231aa0e5ce2bc0950c4fcb372b85948
                        is_closed: false
                        is_excluded: false
                        is_parent: false
                        statement_balance:
                          currency: HKD
                          raw: '70013.12'
                          value: 70013.12
                        updated_at: '2021-06-08T02:09:42.000Z'
                      - account_currency: HKD
                        account_id: 01F7MP3XTQ4Y8AFQ9KDFQXF14Y
                        account_name: HKD Credit Card
                        account_type:
                          subtype: CREDIT_CARD
                          type: CARD
                        balance:
                          currency: HKD
                          raw: '-1833.22'
                          value: -1833.22
                        created_at: '2021-06-08T02:09:42.000Z'
                        group_id: >-
                          4f776329e40d2aafaeb33415283aea9e0dae84467aeaa51c5030e4b0311b6040
                        is_closed: false
                        is_excluded: false
                        is_parent: false
                        statement_balance:
                          currency: HKD
                          raw: '-1833.22'
                          value: -1833.22
                        updated_at: '2021-06-08T02:09:42.000Z'
                      - account_currency: USD
                        account_id: 01F7MP3XTSBSTG6G68FESC66B1
                        account_name: USD FX
                        account_type:
                          subtype: OTHER
                          type: DEPOSIT
                        balance:
                          currency: USD
                          raw: '1923.22'
                          value: 1923.22
                        created_at: '2021-06-08T02:09:42.000Z'
                        group_id: >-
                          582c1d9912586672ef9d028d7ed521ffedf9bb11d2392ddf1c2ec2e231c49ce5
                        is_closed: false
                        is_excluded: false
                        is_parent: false
                        statement_balance:
                          currency: HKD
                          raw: '15001.116'
                          value: 15001.116
                        updated_at: '2021-06-08T02:09:42.000Z'
                      - account_currency: BTC
                        account_id: 01F7MP3XTV38VSZMVF4C65NHT3
                        account_name: Bitcoin
                        account_type:
                          subtype: OTHER
                          type: OTHER
                        balance:
                          currency: BTC
                          raw: '420.69'
                          value: 420.69
                        created_at: '2021-06-08T02:09:42.000Z'
                        group_id: >-
                          582c1d9912586672ef9d028d7ed521ffedf9bb11d2392ddf1c2ec2e231c49ce5
                        is_closed: false
                        is_excluded: false
                        is_parent: false
                        statement_balance:
                          currency: HKD
                          raw: '106468292.05'
                          value: 106468292.05
                        updated_at: '2021-06-08T02:09:42.000Z'
                    institution:
                      countries:
                        - HKG
                        - SGP
                        - PHL
                      institution_id: testbank
                      institution_name: TestBank HK
                      portal_name: Test Bank Personal Account
                    login_identity:
                      login_identity_id: 01F7MP3J3H485QSDQC0FS15KE7
                      status: DATA_RETRIEVAL_COMPLETE
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
      security:
        - Oauth2:
            - account
components:
  schemas:
    ListAccountsResponse:
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/Account'
        institution:
          $ref: '#/components/schemas/InstitutionShort'
        login_identity:
          $ref: '#/components/schemas/LoginIdentityShort'
    BadRequestModelV2:
      properties:
        error:
          type: object
          required:
            - type
            - code
            - error_code
            - message
            - request_id
          properties:
            code:
              type: integer
              example: 40004
            details:
              type: string
            error_code:
              type: string
              example: CREDENTIALS_INVALID
            message:
              type: string
            request_id:
              description: The request_id provided in the request header
              type: string
            type:
              description: The error type
              type: string
              enum:
                - LINK_ERROR
                - API_ERROR
              example: LINKING_ERROR
    Account:
      required:
        - is_parent
        - is_closed
        - is_excluded
        - account_id
        - account_name
        - group_id
        - metadata
      properties:
        account_currency:
          type: string
          example: HKD
          description: >-
            Currency of the account (e.g. USD). Usually available, but may be
            null for zero-balance accounts (e.g. multi-currency or time-deposit
            account with zero balance).
        account_holder_name:
          type: string
          example: John Doe
          description: >-
            (Deprecated) Account holder name (if provided by the institution).
            Replaced by GET /identity.
        account_id:
          type: string
          example: 01ARZ3NDEKTSV4RRFFQ69G5FAV
          description: >-
            Finverse account ID. This is deterministically computed, such that
            the same account record provided by an institution across 2 or more
            data retrieval sessions will always have the same `account_id`.
        account_name:
          type: string
          example: HKD Savings
          description: End-user recognizable name for the account.
        account_nickname:
          type: string
          example: Emergency Fund
          description: >-
            Nickname for the account (if provided by the instiution). This is
            typically a custom account name set by the end-user.
        account_number_masked:
          type: string
          example: 123XXXXXX89
          description: >-
            Masked account number. Format: preserves original length; shows
            first 0-4 digits + last 2-4 digits in plain text (depending on
            original length); omits spaces/symbols.
        account_sub_type:
          type: string
          example: TIME_DEPOSIT
        account_type:
          $ref: '#/components/schemas/AccountType'
          description: '**Beta**: account type object'
        balance:
          $ref: '#/components/schemas/CurrencyAmount'
          description: Balance object, in the account_currency
        country:
          type: string
          example: HKG
          description: 3-letter country code for the account (e.g. "HKG")
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp for when the account's record was first written to
            Finverse's database.
        group_id:
          description: >-
            ID used to identify a group of related parent + sub-accounts. This
            is deterministically computed based on the shared account number of
            the related accounts.
          type: string
          example: 03504faef9ad3ac048c6a43efa6db7ba1c5239a856536839d87ac949559e7ceb
        is_closed:
          type: boolean
          example: false
          description: Reserved for future use.
        is_excluded:
          type: boolean
          example: false
          description: Reserved for future use.
        is_parent:
          type: boolean
          example: false
          description: >-
            Flag for parent/master accounts (e.g. "Integrated Account" in Hong
            Kong). To avoid showing duplicate accounts, we recommend
            disregarding parent account data and referring instead to associated
            sub-accounts (using `group_id`).
        ledger_balance:
          $ref: '#/components/schemas/CurrencyAmount'
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            **Beta**: Metadata object, containing additional account information
            (for some institutions only)
        statement_balance:
          $ref: '#/components/schemas/CurrencyAmount'
          description: >-
            Balance object, in the institution's reporting or statement currency
            (if provided by the institution). E.g. balance in HKD for a USD
            Savings account at a Hong Kong bank. If not provided by the
            institution, the `statement_balance` will be same as `balance`.
        updated_at:
          type: string
          format: date-time
          description: Timestamp of the last update to the account's record.
    InstitutionShort:
      properties:
        countries:
          type: array
          items:
            type: string
          example:
            - HKG
        institution_id:
          type: string
          example: 123
        institution_name:
          type: string
          example: Mock Bank
        portal_name:
          type: string
          example: Personal Internet Banking
    LoginIdentityShort:
      properties:
        last_session_id:
          type: string
          format: ulid
        login_identity_id:
          type: string
          format: ulid
        status:
          type: string
          example: LINKING
    AccountType:
      properties:
        subtype:
          type: string
          enum:
            - CURRENT
            - SAVINGS
            - TIME_DEPOSIT
            - OTHER
            - CREDIT_CARD
            - DEBIT_CARD
            - SECURITIES
            - FUNDS
            - STOCKS
            - BONDS
            - MORTGAGE
            - PERSONAL_LOAN
            - REVOLVING_LOAN
            - UNKNOWN
          example: SAVINGS
          description: >-
            Secondary classification of the account. Possible values: `BONDS`,
            `CURRENT`, `CREDIT_CARD`, `DEBIT_CARD`, `FUNDS`, `MORTGAGE`,
            `PERSONAL_LOAN`, `RETIREMENT`,`REVOLVING_LOAN`, `SAVINGS`,
            `SECURITIES`, `STOCKS`, `TIME_DEPOSIT`, `OTHER`, `UNKNOWN`
        type:
          type: string
          enum:
            - DEPOSIT
            - CARD
            - INVESTMENT
            - LOAN
            - UNKNOWN
          example: DEPOSIT
          description: >-
            Primary classification of the account. Possible values: `CARD`,
            `DEPOSIT`, `INVESTMENT`, `LOAN`, `OTHER`, `UNKNOWN`
    CurrencyAmount:
      required:
        - value
      properties:
        currency:
          type: string
          example: HKD
          description: >-
            Currency of the `value`. Usually available, but may be null if value
            is 0
        raw:
          type: string
          example: '69.00'
          description: >-
            Raw amount (as reported by the institution). Usually available, but
            may be null if value is 0. Intended for QA only
        value:
          $ref: '#/components/schemas/FvDecimal'
          description: >-
            Amount. Sign follows financial statement conventions (positive sign:
            assets / money in; negative sign: liabilities / money out)
    FvDecimal:
      type: number
      x-go-type:
        embedded: true
        import:
          package: gitlab.com/finverse/gitops/applications/common-go/amount
        type: FvDecimal
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````